> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session todos

> Retrieve the todo list associated with a specific session, showing tasks and action items.



## OpenAPI

````yaml /openapi.json get /session/{sessionID}/todo
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /session/{sessionID}/todo:
    get:
      summary: Get session todos
      description: >-
        Retrieve the todo list associated with a specific session, showing tasks
        and action items.
      operationId: session.todo
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - in: path
          name: sessionID
          schema:
            type: string
            pattern: ^ses.*
          required: true
      responses:
        '200':
          description: Todo list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Todo'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.session.todo({
              ...
            })
components:
  schemas:
    Todo:
      type: object
      properties:
        content:
          description: Brief description of the task
          type: string
        status:
          description: Current status of the task
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - cancelled
        priority:
          description: Priority level of the task
          type: string
          enum:
            - high
            - medium
            - low
      required:
        - content
        - status
        - priority
    BadRequestError:
      type: object
      properties:
        data: {}
        errors:
          type: array
          items:
            type: object
            propertyNames:
              type: string
            additionalProperties: {}
        success:
          type: boolean
          const: false
      required:
        - data
        - errors
        - success
    NotFoundError:
      type: object
      properties:
        name:
          type: string
          const: NotFoundError
        data:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - name
        - data

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.